# Contributing to Bellande Robotics Sensors Research Innovations Center
We're excited that you're interested in contributing to the Bellande Robotics Sensors Research Innovations Center! This document outlines the process for contributing to our organization and this repository!

## Contributing to the Organization
To contribute to the Bellande Robotics Sensors Research Innovations Center organization, please visit our [Contributing Repository](https://github.com/Robotics-Sensors/bellande_robotics_sensors_research_innovations_center_contributor)

## Table of Contents
1. [Contributing to the Organization](https://github.com/Robotics-Sensors/bellande_robotics_sensors_research_innovations_center_contributor)
   - [Creating a Repository](https://github.com/Robotics-Sensors/bellande_robotics_sensors_research_innovations_center_contributor)
   - [Team Requests](https://github.com/Robotics-Sensors/bellande_robotics_sensors_research_innovations_center_contributor)
   - [Security](https://github.com/Robotics-Sensors/bellande_robotics_sensors_research_innovations_center_contributor)
2. [Contributing to Repositories](#contributing-to-repositories)
   - [New Features](#new-features)
   - [Bug Fixes](#bug-fixes)
   - [Security Issues](#security-issues)
   - [Other Contributions](#other-contributions)

### Creating a Repository
1. Fork the [contributor repository](https://github.com/Robotics-Sensors/bellande_robotics_sensors_research_innovations_center_contributor).
2. Create a new branch with a descriptive name for your proposed repository.
3. Add a detailed description of the proposed repository in a markdown file.
4. Submit a pull request with your proposal.
5. Wait for review and approval from the organization administrators.

### Team Requests
1. To request joining a team or creating a new team:
   - Open an issue in the [contributor repository](https://github.com/Robotics-Sensors/bellande_robotics_sensors_research_innovations_center_contributor).
   - Use the title format: "Team Request: [Team Name]"
   - Provide details about your expertise and why you want to join or create the team.
2. An administrator will review your request and respond accordingly.

### Security
For organization-wide security concerns:
1. Do not publicly disclose the issue.
2. Contact the organization administrators directly through a private channel.
3. Provide a detailed description of the security concern.

## Contributing to Repositories
### New Features
1. Fork the repository you want to contribute to.
2. Create a new branch with a descriptive name for your feature.
3. Implement your feature, following the project's coding standards and guidelines.
4. Write tests for your new feature if applicable.
5. Update documentation as necessary.
6. Submit a pull request with a clear description of the new feature.

### Bug Fixes
1. Fork the repository containing the bug.
2. Create a new branch with a descriptive name for your bug fix.
3. Fix the bug and add tests to prevent regression if possible.
4. Update documentation if necessary.
5. Submit a pull request with a clear description of the bug and your fix.

### Security Issues
For repository-specific security issues:
1. Do not publicly disclose the issue.
2. Contact the repository maintainers directly through a private channel or request a issue in the reposiroty
3. Provide a detailed description of the security vulnerability.
4. Wait for further instructions from the maintainers.

### Other Contributions
We welcome other types of contributions, such as:
- Documentation improvements
- Code refactoring
- Performance optimizations- Tooling and infrastructure improvements

For these contributions, follow a similar process to submitting new features or bug fixes.

## Code of Conduct
Please note that all contributors are expected to adhere to our Code of Conduct. Respectful and inclusive behavior is mandatory for all participants in our project.

Thank you for contributing to the Bellande Robotics Sensors Research Innovations Center!
